package tsgo

type AnyId uint16
type PluginMessageTarget int

type Ts3FunctionsStruct struct {
	PrintMessage func(uint64, string, PluginMessageTarget)
}

const (
	PLUGIN_MESSAGE_TARGET_SERVER  PluginMessageTarget = 0
	PLUGIN_MESSAGE_TARGET_CHANNEL PluginMessageTarget = 1
)

const (
	PluginName        = "Go Plugin yay"
	PluginVersion     = "1.0"
	PluginAuthor      = "Author"
	PluginDescription = "Description"
)

var (
	Ts3Functions Ts3FunctionsStruct
)

//Ts3pluginInit init plugin function
func Ts3pluginInit() int {
	return 0
}

//Ts3pluginShutdown shutdown plugin function
func Ts3pluginShutdown() {

}

/*
	Events
*/

// Ts3onClientPokeEvent event
func Ts3onClientPokeEvent(serverConnectionHandlerID uint64, fromClientID AnyId, pokerName string, pokerUniqueIdentity string, message string, ffIgnored int) int {
	Ts3Functions.PrintMessage(serverConnectionHandlerID, "Ayy", PLUGIN_MESSAGE_TARGET_SERVER)
	return 1
}
